commit:     a1c35fa2f85585ee69697fec7d8c12c66cc186f1
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon May 19 09:21:40 2025 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Mon May 19 09:23:15 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1c35fa2

gnustep-base/gnustep-back-art: add 0.32.0

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.32.0.ebuild                 | 88 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest 
b/gnustep-base/gnustep-back-art/Manifest
index 97ccd8dd3440..eb4a4e9e5f24 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1 +1,2 @@
 DIST gnustep-back-0.31.0.tar.gz 1030211 BLAKE2B 
7d94bf9b70fb3f90c3bab80ef9cf30fd64a192703a0743c56a0d33a2ca12157894172fc27203b8aec44273e9e1dbe87eafe44f8492f4b6ad38cb3e4f71767b68
 SHA512 
f1174b706044d7c6e343dce004df90c5bfd676833b27963a0372af85b18f7b992735c5eff23031ba65c29f9b60d468c9e016f7c1c57eaccddf3701f5c9c08e13
+DIST gnustep-back-0.32.0.tar.gz 1036424 BLAKE2B 
372b6c438531e5a956d215b864f02fdaf985082b6d2fc22c4a91344b6900ab81691c6ef63a680b2bbc10f86c6ba2ed51d1867dd63ef10feb4a812c6cd3e01edd
 SHA512 
8405f00241983d5c33b91ebb0cf810c64b8e83887eeabd0ba6418c75b4c0b6c56af9aac243dffc88d6e84aef80e3d0ec334e22b06d5abd5390c2f086d6795cbe

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.32.0.ebuild 
b/gnustep-base/gnustep-back-art/gnustep-back-art-0.32.0.ebuild
new file mode 100644
index 000000000000..1923ab9d7f53
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.32.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnustep-base
+
+DESCRIPTION="Libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="https://gnustep.github.io";
+SRC_URI="https://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz";
+S="${WORKDIR}/gnustep-back-${PV}"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+       =gnustep-base/gnustep-gui-${PV%.*}*
+       >=gnustep-base/mknfonts-0.5-r1
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXext
+       x11-libs/libXi
+       x11-libs/libXmu
+       x11-libs/libXt
+       x11-libs/libXft
+       x11-libs/libXrender
+       media-fonts/dejavu
+       >=media-libs/freetype-2.1.9
+       >=media-libs/libart_lgpl-2.3
+       opengl? ( virtual/opengl virtual/glu )
+
+       !gnustep-base/gnustep-back-cairo
+       !gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+       # do not compress man pages
+       sed -i '/which gzip/,/&& gzip/d' Tools/GNUmakefile.postamble || die
+}
+
+src_configure() {
+       egnustep_env
+
+       myconf="$(use_enable opengl glx)"
+       myconf="$myconf $(use_enable xim)"
+       myconf="$myconf --enable-server=x11"
+       myconf="$myconf --enable-graphics=art"
+
+       econf $myconf
+}
+
+src_compile() {
+       gnustep-base_src_compile
+
+       # Create font lists for DejaVu
+       einfo "Generating nfonts support files"
+       (
+               cd Fonts
+               export "${GS_ENV[@]}"
+               ${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+                       $(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+                       || die "nfonts support files creation failed"
+               # Trim whitepsaces
+               for fdir in *\ */; do
+                       mv "$fdir" `echo $fdir | tr -d [:space:]`
+               done
+       )
+}
+
+src_install() {
+       gnustep-base_src_install
+
+       mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts" || die
+       cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts" || die
+}
+
+gnustep_config_script() {
+       echo "echo ' * setting normal font to DejaVuSans'"
+       echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+       echo "echo ' * setting bold font to DejaVuSans-Bold'"
+       echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+       echo "echo ' * setting fixed font to DejaVuSansMono'"
+       echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}

Reply via email to